> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Catalog

> Deployable catalog models, and the team's clusters with the models each can
run; with `primeClusterId`, only the models that cluster runs. Without `teamId`,
the models alone: a personal deploy runs on Prime's on-demand pool.



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/inference/catalog
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/inference/catalog:
    get:
      tags:
        - inference
      summary: Get Catalog
      description: >-
        Deployable catalog models, and the team's clusters with the models each
        can

        run; with `primeClusterId`, only the models that cluster runs. Without
        `teamId`,

        the models alone: a personal deploy runs on Prime's on-demand pool.
      operationId: get_catalog_api_v1_inference_catalog_get
      parameters:
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Teamid
        - name: primeClusterId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                minLength: 1
              - type: 'null'
            title: Primeclusterid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InferenceCatalogResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    InferenceCatalogResponse:
      properties:
        models:
          items:
            $ref: '#/components/schemas/InferenceCatalogModel'
          type: array
          title: Models
        clusters:
          items:
            $ref: '#/components/schemas/InferenceClusterCapability'
          type: array
          title: Clusters
      type: object
      title: InferenceCatalogResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    InferenceCatalogModel:
      properties:
        id:
          type: string
          title: Id
        slug:
          type: string
          title: Slug
        displayName:
          type: string
          title: Displayname
        repo:
          type: string
          title: Repo
        revision:
          anyOf:
            - type: string
            - type: 'null'
          title: Revision
        maxSeqLen:
          type: integer
          title: Maxseqlen
        quant:
          anyOf:
            - type: string
            - type: 'null'
          title: Quant
        engines:
          items:
            $ref: '#/components/schemas/InferenceEngine'
          type: array
          title: Engines
        gpuProduct:
          type: string
          title: Gpuproduct
        minGpus:
          type: integer
          title: Mingpus
        enabled:
          type: boolean
          title: Enabled
          default: true
        metadata:
          type: object
          title: Metadata
      type: object
      required:
        - id
        - slug
        - displayName
        - repo
        - revision
        - maxSeqLen
        - quant
        - engines
        - gpuProduct
        - minGpus
      title: InferenceCatalogModel
    InferenceClusterCapability:
      properties:
        primeClusterId:
          type: string
          title: Primeclusterid
        name:
          type: string
          title: Name
        displayName:
          anyOf:
            - type: string
            - type: 'null'
          title: Displayname
        inferenceEnabled:
          type: boolean
          title: Inferenceenabled
          default: false
        dynamoProfile:
          anyOf:
            - type: string
            - type: 'null'
          title: Dynamoprofile
        gpuProducts:
          items:
            type: string
          type: array
          title: Gpuproducts
        gatewayReady:
          type: boolean
          title: Gatewayready
          default: false
        modelGpus:
          additionalProperties:
            type: integer
          type: object
          title: Modelgpus
      type: object
      required:
        - primeClusterId
        - name
      title: InferenceClusterCapability
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    InferenceEngine:
      properties:
        gpuProduct:
          type: string
          minLength: 1
          title: Gpuproduct
        gpus:
          type: integer
          minimum: 1
          title: Gpus
      additionalProperties: false
      type: object
      required:
        - gpuProduct
        - gpus
      title: InferenceEngine
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.